#ifndef RECTANGLE_H
#define RECTANGLE_H

#include "point.h"

typedef struct {
	t_point p1;
	t_point p2;
} t_rectangle;

t_point get_p1(t_rectangle r);
t_point get_p2(t_rectangle r);
double calculate_area(t_rectangle r);
double calculate_perimeter(t_rectangle r);
void print_rectangle(t_rectangle r);

#endif // RECTANGLE_H

